<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>CarbonPHP Documentation</title>
	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
		}

		html {
			font-family: "Lucida Sans Unicode", "Lucida Grande";
			font-size: 14px;
		}

		body {
			background: #fff;
			color: #666;
		}

		h1 {
			font-size: 15px;
			font-weight: bold;
			margin: 0 0 5px 0;
		}

		h2 {
			font-size: 13px;
			font-weight: bold;
			margin: 5px 0 5px 0;
		}

		ol, ul {
			margin: 10px 0 10px 0;
			list-style-position: inside;
		}

		p {
			margin: 5px 0 5px 0;
		}

		.content {
			border: 1px dotted #444;
			margin: 10px;
			padding: 10px;
			text-align: justify;
			width: 700px;
		}

		.example {
			border: 1px solid #ccc;
			background: #eee;
			margin: 10px;
			padding: 10px;
			text-align: left;
		}
	</style>
</head>

<body>
	<div class="content">
		<h1>Database Quick Start</h1>

		<p>This page will show you some quick examples showing how you can go about interacting with your database
		using CarbonPHP.  If you wish for a more in depth outline please read the individual pages.</p>
	</div>

	<div class="content">
		<h1>Initialising and Connecting to a Database</h1>

		<p>The following loads and initialises the database class which connects to a database based on your
		configuration settings.</p>

		<div class="example">
			$this->load->database();
		</div>

		<p>Once the class has been loaded, the database object will be available via the <b>$this</b> object and
		used as shown in the examples below.  <i>Note</i>:  if all your controllers/page require database access you
		can autoload the database library.</p>
	</div>

	<div class="content">
		<h1>Simply Query With an Object Result</h1>

		<div class="example">
			$query = $this->db->query('SELECT * FROM `some_table`');<br />
			<br />
			foreach ($query->result() as $row)<br />
			&#123;<br />
			&nbsp;&nbsp;&nbsp;&nbsp;echo $row->title;<br />
			&nbsp;&nbsp;&nbsp;&nbsp;echo $row->author;<br />
			&nbsp;&nbsp;&nbsp;&nbsp;echo $row->body;<br />
			&#125;<br />
			<br />
			echo 'Total results: ' . $query->num_rows();
		</div>

		<p>The above example uses the <b>result()</b> method to return an array of objects.  These objects will have
		member variables corrosponding to the field names.  Example <b>$row->title</b>.</p>
	</div>

	<div class="content">
		<h1>Simple Query With an Array Result</h1>

		<div class="example">
			$query = $this->db->query('SELECT * FROM `some_table`');<br />
			<br />
			foreach ($query->result_array() as $row)<br />
			&#123;<br />
			&nbsp;&nbsp;&nbsp;&nbsp;echo $row['title'];<br />
			&nbsp;&nbsp;&nbsp;&nbsp;echo $row['author'];<br />
			&nbsp;&nbsp;&nbsp;&nbsp;echo $row['body'];<br />
			&#125;<br />
			<br />
			echo 'Total results: ' . $query->num_rows();
		</div>
	</div>

	<div class="content">
		<h1>Simple Query With a Single Object Result</h1>

		<div class="example">
			$query = $this->db->query('SELECT title FROM `some_table` LIMIT 1');<br />
			<br />
			$row = $query->row();
			echo $row->title;
		</div>

		<p>The above example uses the <b>row()</b> method to return an object.</p>
	</div>

	<div class="content">
		<h1>Simple Query With a Single Array Result</h1>

		<div class="example">
			$query = $this->db->query('SELECT title FROM `some_table` LIMIT 1');<br />
			<br />
			$row = $query->row_array();
			echo $row['title'];
		</div>

		<p>The above example uses the <b>row_array()</b> method to return an array.</p>
	</div>

	<div class="content">
		<h1>Simple Insert Query</h1>

		<div class="example">
			$sql = 'INSERT INTO `some_table` (title, author) VALUES (' . $this->db->escape($title) . ', ' . 
				$this->db->escape($author) . ')';<br />
			<br />
			$this->db->query($sql);<br />
			<br />
			echo $this->db->affected_rows();
		</div>
	</div>

	<div class="content">
		<h1>Simple Active Record Query</h1>

		<p>The <b>Active Record</b> design pattern gives you a simple interface for retrieving database data.</p>

		<div class="example">
			$query = $this->db->get('some_table');<br />
			<br />
			foreach ($query->result() as $row)<br />
			&#123;<br />
			&nbsp;&nbsp;&nbsp;&nbsp;echo $row->author;<br />
			&#125;<br />
		</div>

		<p>The <b>get()</b> method retrieves all the results from the table name specified.  The active record class
		provides a range of methods for working with database data.</p>
	</div>

	<div class="content">
		<h1>Simple Active Record Insert Query</h1>

		<div class="example">
			$data = array(<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'title' => $title,<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'author' => $author,<br />
			&nbsp;&nbsp;&nbsp;&nbsp;'post' => $post<br />
			);<br />
			<br />
			$this->db->insert('some_table', $data);<br />
			<br />
			// Will produce: INSERT INTO `some_table` (title, author, post) VALUES ('{title}', '{$author}', '{$post}')
		</div>

		<p>The <b>insert()</b> method inserts data into the specified table name, you can pass either an array or
		object.</p>
	</div>
</body>

</html>
